Skip to content

Most visited

Recently visited

navigation

BrowserCompatSpec | Android Developers

to top
Android APIs
public class

BrowserCompatSpec

extends CookieSpecBase
java.lang.Object
   ↳ org.apache.http.impl.cookie.AbstractCookieSpec
     ↳ org.apache.http.impl.cookie.CookieSpecBase
       ↳ org.apache.http.impl.cookie.BrowserCompatSpec

Class Overview

Cookie specification that strives to closely mimic (mis)behavior of common web browser applications such as Microsoft Internet Explorer and Mozilla FireFox.

Summary

Fields
protected static final String[] DATE_PATTERNS Valid date patterns used per default
Public Constructors
BrowserCompatSpec(String[] datepatterns)
Default constructor
BrowserCompatSpec()
Default constructor
Public Methods
List<Header> formatCookies(List<Cookie> cookies)
int getVersion()
Header getVersionHeader()
List<Cookie> parse(Header header, CookieOrigin origin)
[Expand]
Inherited Methods
From class org.apache.http.impl.cookie.CookieSpecBase
From class org.apache.http.impl.cookie.AbstractCookieSpec
From class java.lang.Object
From interface org.apache.http.cookie.CookieSpec

Fields

protected static final String[] DATE_PATTERNS

Added in API level 1

Valid date patterns used per default

Public Constructors

public BrowserCompatSpec (String[] datepatterns)

Added in API level 1

Default constructor

public BrowserCompatSpec ()

Added in API level 1

Default constructor

Public Methods

public List<Header> formatCookies (List<Cookie> cookies)

Added in API level 1

public int getVersion ()

Added in API level 1

public Header getVersionHeader ()

Added in API level 1

public List<Cookie> parse (Header header, CookieOrigin origin)

Added in API level 1
This site uses cookies to store your preferences for site-specific language and display options.

Hooray!

This class requires API level or higher

This doc is hidden because your selected API level for the documentation is . You can change the documentation API level with the selector above the left navigation.

For more information about specifying the API level your app requires, read Supporting Different Platform Versions.